{*
** @author Pagadito <contact@prestashop.com>
** @copyright  2015 Pagadito
** @version  Release: $Revision: 1.0.0 $
**
** International Registered Trademark & Property of Pagadito
**
** Description: Pagadito addon's Back-office template - Order details page
**
** This template is displayed in the Back-office, when you are looking the details of an order placed with Pagadito
** It allows you no only to review the transaction details
**
*}
<br />
<fieldset>
    <legend><img src="{$module_dir}logo.png" alt="" /> {l s='Pagadito transaction details' mod='pagaditops'}</legend>
	<table cellpadding="0" cellspacing="0" class="table">
		<tr>
			<td>{l s='Amount charged' mod='pagaditops'}</td>
			<td>{$pagaditops_transaction_details.amount|escape:'htmlall':'UTF-8'} {$pagaditops_transaction_details.currency|escape:'htmlall':'UTF-8'}</td>
		</tr>
		<tr>
			<td>{l s='Mode' mod='pagaditops'}</td>
			<td>{if $pagaditops_transaction_details.mode == 'test'}<span style="color: #CC0000;">{l s='Sandbox (Test)' mod='pagaditops'}</span>{else}{l s='Live' mod='pagaditops'}{/if}</td>
		</tr>
		<tr>
			<td>{l s='Date' mod='pagaditops'}</td>
			<td>{$pagaditops_transaction_details.date_add|escape:'htmlall':'UTF-8'}</td>
		</tr>
		{if isset($pagaditops_transaction_details.pagadito_token) && $pagaditops_transaction_details.pagadito_token != ''}
		<tr>
			<td>{l s='Pagadito Token' mod='pagaditops'}</td>
			<td>{$pagaditops_transaction_details.pagadito_token|escape:'htmlall':'UTF-8'}</td>
		</tr>
		{/if}
                {if isset($pagaditops_transaction_details.pagadito_transaction_status) && $pagaditops_transaction_details.pagadito_transaction_status != ''}
		<tr>
			<td>{l s='Pagadito Transaction Status' mod='pagaditops'}</td>
			<td>{$pagaditops_transaction_details.pagadito_transaction_status|escape:'htmlall':'UTF-8'}</td>
		</tr>
		{/if}
                {if isset($pagaditops_transaction_details.pagadito_reference) && $pagaditops_transaction_details.pagadito_reference != ''}
		<tr>
			<td>{l s='Pagadito Reference' mod='pagaditops'}</td>
			<td>{$pagaditops_transaction_details.pagadito_reference|escape:'htmlall':'UTF-8'}</td>
		</tr>
		{/if}
	</table>
</fieldset>