{*
** @author Pagadito <soporte@pagadito.com>
** @copyright  2015 Pagadito
**
** International Registered Trademark & Property of Pagadito
**
** Description: Pagadito order confirmation page
**
** This template is displayed to the customer upon order creation
**
*}
{if $pagaditops_order.valid == 1}
<div class="conf confirmation">
        {if $pagaditops_order.pagadito_current_state == $pagaditops_order.pagadito_status_ok}
            {l s='Congratulations! Your payment was received successfully, and your order has been saved under ' mod='pagaditops'}
            {if isset($pagaditops_order.reference)} 
                {l s='the reference' mod='pagaditops'} <b>{$pagaditops_order.reference|escape:html:'UTF-8'}</b>
            {else}
                {l s='the ID' mod='pagaditops'} <b>{$pagaditops_order.id|escape:html:'UTF-8'}</b>
            {/if}. 
            <br>
            {l s='Your pagadito payment reference is ' mod='pagaditops'} <b>{$pagaditops_order.transaction_id|escape:html:'UTF-8'}</b>.
        {else}
            {l s='Congratulations! Your payment is pending verification, and your order has been saved under ' mod='pagaditops'}
            {if isset($pagaditops_order.reference)}
                {l s='the reference' mod='pagaditops'} <b>{$pagaditops_order.reference|escape:html:'UTF-8'}</b>
            {else}
                {l s='the ID' mod='pagaditops'} <b>{$pagaditops_order.id|escape:html:'UTF-8'}</b>
            {/if}. 
            <br>
            {l s='Your pagadito payment reference is ' mod='pagaditops'} <b>{$pagaditops_order.transaction_id|escape:html:'UTF-8'}</b>.
        {/if}
</div>
{else}
<div class="error">
	{l s='Unfortunately, an error occurred during the transaction.' mod='pagaditops'}<br /><br />
	{l s='Please double-check your credit card details and try again. If you need further assistance, feel free to contact us anytime.' mod='pagaditops'}<br /><br />
{if isset($pagaditops_order.reference)}
	({l s='Your Order\'s Reference:' mod='pagaditops'} <b>{$pagaditops_order.reference|escape:html:'UTF-8'}</b>)
{else}
	({l s='Your Order\'s ID:' mod='pagaditops'} <b>{$pagaditops_order.id|escape:html:'UTF-8'}</b>)
{/if}
</div>
{/if}