{*
** @author Pagadito <soporte@pagadito.com>
** @copyright  2015 Pagadito
** @version  Release: $Revision: 1.0.0 $
**
** International Registered Trademark & Property of Pagadito
**
** Description: Pagadito error/warning page
**
** This template is displayed to the customer upon any error received from Pagadito
**
** Step 1: On the payment page/step, your store is displaying an <iframe> from Pagadito using your hosted checkout payment page
** Step 2: The customer is filling is credit card details or Pagadito credentials inside this <iframe>
** Step 3: Pagadito is processing the payment and sending the result to your store
** Step 4: If you store is receiving an error from Pagadito, this one is displayed to the customer
** We are also inviting the customer to contact your Customer service via the contact page
**
*}

<h1>{l s='Unexpected payment error' mod='pagaditops'}</h1>
<div class="error">
    <p><b>{l s='Unfortunately your order could not be processed at this time, please contact our Customer service.' mod='pagaditops'}</b></p>
    {if isset($pagaditops_error_messages) && count($pagaditops_error_messages)}
    	<ul style="margin-left: 30px;">
        {foreach from=$pagaditops_error_messages item=pagaditops_error_message}
            <li>{$pagaditops_error_message|escape:'htmlall':'UTF-8'}</li>
        {/foreach}
        </ul>
    {/if}
</div>
